Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.script
Interface Compilable

    public interface Compilable

Compilable -- an optional interface contains methods which support the re-execution of intermediate code retained from previous script compilations.

Author:
  Nandika Jayawardana , Sanka Samaranayake

Method Summary
`CompiledScript` | `compile(java.io.Reader reader)` Retrieves a CompileScript implementation for the script obtained using java.io.Reader as the script source.
`CompiledScript` | `compile(java.lang.String script)` Retrieves a CompileScript implementation for the given piece of script which is a abstraction for the intermediate code produced by the compilation.

Method Detail

### compile

    CompiledScript compile(java.lang.String script)
                           throws ScriptException

  Retrieves a CompileScript implementation for the given piece of script which is a abstraction for the intermediate code produced by the compilation.

  Parameters:
    `script` - the source of the script represented as String
  Returns:
    an implementation of CompileScript which can be used to re-execute intermediate code produced by the compilation of script
  Throws:
    `ScriptException` - if the compilation fials due to any reason

### compile

    CompiledScript compile(java.io.Reader reader)
                           throws ScriptException

  Retrieves a CompileScript implementation for the script obtained using java.io.Reader as the script source.

  Parameters:
    `reader` - the reader form which the script source is obtained
  Returns:
    an implementation of CompileScript which can be used to re-execute intermediate code produced by the compilation of script
  Throws:
    `ScriptException` - if the compilation fials due to any reason

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD